%define languageenglazy Marathi
%define languagecode    mr
%define lc_ctype        mr_IN

Name:           hunspell-%{languagecode}
Version:        20121229
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/Dictionaries
Source0:        https://sourceforge.net/projects/aoo-extensions/files/2369/13/mr_in.oxt#/%{name}-%{version}.oxt
Patch0:         %{name}-get-rid-of-broken-line.patch

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-mr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c
#autopatch -p1

%build

%install
install -D -m 0644 -p dicts/mr_IN.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dicts/mr_IN.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README* LICENCE
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 20121229-5.mga10
+ Revision: 2202571
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 20121229-4.mga9
+ Revision: 1808002
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 20121229-3.mga8
+ Revision: 1501690
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 20121229-2.mga7
+ Revision: 1278846
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 20121229-1.mga7
+ Revision: 1213749
- Update to release 20121229

* Sat Feb 06 2016 umeabot <umeabot> 20060920-15.mga6
+ Revision: 940842
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20060920-14.mga5
+ Revision: 750777
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20060920-13.mga5
+ Revision: 680277
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 20060920-12.mga4
+ Revision: 505667
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20060920-11.mga3
+ Revision: 353582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 20060920-10.mga2
+ Revision: 224764
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 20060920-9.mga2
+ Revision: 208581
- use better obsoleting of myspell

* Sun Feb 05 2012 kamil <kamil> 20060920-8.mga2
+ Revision: 205026
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 20060920-7.mga1
+ Revision: 68959
- imported package hunspell-mr


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060920-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 18 2010 Parag <pnemade AT redhat.com> - 20060920-6
- Resolves: rh#566395:- Improvements to get rid of the broken line

* Mon Jan 11 2010 Parag <pnemade AT redhat.com> - 20060920-5
- Change Source URL to new mirror.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060920-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 28 2009 Caolán McNamara <caolanm@redhat.com> - 20060920-3
- bring wordlist encoding issue fix from F-11 into devel

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060920-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 03 2008 Parag <pnemade@redhat.com> - 20060920-1
- Initial Fedora release
